You are not logged in.

#1 2013-05-07 07:37:29

hsz
Member
Registered: 2009-09-25
Posts: 30

[SOLVED] Replace xorg-server1.12 with xorg-server dependencies problem

Currently I have installed city/xorg-server1.12 - I do not know why. I have to replace it with extra/xorg-server however there are obvious dependeny problems.

How can I force pacman/yaourt to skip dependencies and force install extra/xorg-server package ?

I have tried with

sudo pacman --force -Sd xorg-server

but without any luck.

Last edited by hsz (2013-05-07 07:42:05)

Offline

#2 2013-05-07 07:42:39

hsz
Member
Registered: 2009-09-25
Posts: 30

Re: [SOLVED] Replace xorg-server1.12 with xorg-server dependencies problem

Solved with

pacman -S xorg-server xf86-input-evdev

Offline

#3 2013-05-07 07:43:06

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 4,977

Re: [SOLVED] Replace xorg-server1.12 with xorg-server dependencies problem

Completely wrong application of --force. PLEASE don't use this option unless you know exactly what it is and what it's going to do.

There shouldn't be dependency problems, what exactly are you running into?

Offline

#4 2013-05-07 09:40:49

karol
Archivist
Registered: 2009-05-06
Posts: 25,428

Re: [SOLVED] Replace xorg-server1.12 with xorg-server dependencies problem

hsz wrote:

How can I force pacman/yaourt to skip dependencies

Please read the man page.

Offline

Board footer

Powered by FluxBB